const mongoose = require("mongoose");

var queryInfosSchema = new mongoose.Schema({
  search_query: {
    type: String,
    index: true
  },
  query_searches : {
    type: Number,
    default: 0
  },
  article_clicks : {
    type: Number,
    default: 0
  },
  feedback_interactions : {
    type: Number,
    default: 0
  },
});

module.exports = mongoose.model("queryInfos", queryInfosSchema);